Create campaign
curl --request POST \
--url https://panel.metricanic.com/api/v1/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "us-search-mainstream",
"trafficSourceId": "6f9d2b4e-8a1c-4d3e-9f5a-7b2c4d6e8f0a",
"country": "US",
"cost": {
"mode": "cpv",
"amount": 0.012
},
"tracking": {
"method": "redirect"
},
"destination": {
"mode": "use_rotator",
"rotatorId": "9b8c7d6e-5f4a-4b3c-8d1e-0f9a8b7c6d5e"
}
}
'import requests
url = "https://panel.metricanic.com/api/v1/campaigns"
payload = {
"name": "us-search-mainstream",
"trafficSourceId": "6f9d2b4e-8a1c-4d3e-9f5a-7b2c4d6e8f0a",
"country": "US",
"cost": {
"mode": "cpv",
"amount": 0.012
},
"tracking": { "method": "redirect" },
"destination": {
"mode": "use_rotator",
"rotatorId": "9b8c7d6e-5f4a-4b3c-8d1e-0f9a8b7c6d5e"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'us-search-mainstream',
trafficSourceId: '6f9d2b4e-8a1c-4d3e-9f5a-7b2c4d6e8f0a',
country: 'US',
cost: {mode: 'cpv', amount: 0.012},
tracking: {method: 'redirect'},
destination: {mode: 'use_rotator', rotatorId: '9b8c7d6e-5f4a-4b3c-8d1e-0f9a8b7c6d5e'}
})
};
fetch('https://panel.metricanic.com/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"campaign": {
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "us-search-mainstream",
"displayName": "US Search Mainstream",
"status": "active",
"trafficSourceId": "6f9d2b4e-8a1c-4d3e-9f5a-7b2c4d6e8f0a",
"country": "US",
"cost": {
"mode": "cpv",
"amount": 0.012
},
"tracking": {
"method": "redirect",
"domainId": null,
"includePrefetch": false
},
"destination": {
"type": "rotator",
"rotatorId": "9b8c7d6e-5f4a-4b3c-8d1e-0f9a8b7c6d5e"
},
"createdAt": "2026-05-15T09:30:00.000Z"
},
"publish": {
"status": "queued"
}
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}Campaigns
Create campaign
Creates a campaign using a domain-oriented public contract. Campaigns attach to an existing rotator with destination.mode=use_rotator. Create or edit rotators through the rotator API.
POST
/
api
/
v1
/
campaigns
Create campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json